Bug 16392 - [PATCH]Addition of Greater than and Less than functionality to Formula Parser
Summary: [PATCH]Addition of Greater than and Less than functionality to Formula Parser
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: 2.0-dev
Hardware: PC All
: P3 enhancement with 3 votes (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-24 13:29 UTC by criley
Modified: 2005-03-20 17:06 UTC (History)
1 user (show)



Attachments
The PTG Object for Less Than; src/java/org/apache/poi/hssf/record/formula/LessThanPtg.java (5.68 KB, text/plain)
2003-01-24 13:34 UTC, criley
Details
The Ptg Object for Greater Than; src/java/org/apache/poi/hssf/record/formula/GreaterThanPtg.java (5.48 KB, text/plain)
2003-01-24 13:34 UTC, criley
Details
Patch to src/java/org/apache/poi/hssf/record/formula/Ptg.java. Adds the GreaterThan and LessThan case (354 bytes, patch)
2003-01-24 13:38 UTC, criley
Details | Diff
Diff for src/java/org/apache/poi/hssf/model/FormulaParser.java adds the '>' and '<' to Term() and Expression() (1.12 KB, patch)
2003-01-24 13:40 UTC, criley
Details | Diff
Diff for src/testcases/org/apache/poi/hssf/model/TestFormulaParser.java (1.12 KB, text/plain)
2003-01-24 13:44 UTC, criley
Details

Note You need to log in before you can comment on or make changes to this bug.
Description criley 2003-01-24 13:29:49 UTC
Currently src/java/org/apache/poi/hssf/model/FormulaParser.java does not look 
for the char's '<' or '>' in either Term() or Expression().
Comment 1 criley 2003-01-24 13:34:05 UTC
Created attachment 4532 [details]
The PTG Object for Less Than; src/java/org/apache/poi/hssf/record/formula/LessThanPtg.java
Comment 2 criley 2003-01-24 13:34:46 UTC
Created attachment 4533 [details]
The Ptg Object for Greater Than; src/java/org/apache/poi/hssf/record/formula/GreaterThanPtg.java
Comment 3 criley 2003-01-24 13:38:28 UTC
Created attachment 4534 [details]
Patch to src/java/org/apache/poi/hssf/record/formula/Ptg.java. Adds the GreaterThan and LessThan case
Comment 4 criley 2003-01-24 13:40:54 UTC
Created attachment 4535 [details]
Diff for src/java/org/apache/poi/hssf/model/FormulaParser.java adds the '>' and '<' to Term() and Expression()
Comment 5 criley 2003-01-24 13:44:47 UTC
Created attachment 4536 [details]
Diff for src/testcases/org/apache/poi/hssf/model/TestFormulaParser.java
Comment 6 Avik Sengupta 2003-01-26 20:23:51 UTC
Thanks. Is it possible to have some high level test (ie, tests for usermodel?)
That would make me much more comfortable. 

Also, is possible to have all the diffs in a single patch (ie diff -u in the
jakarta-poi directory)? would make it easier to apply. 

Anyhow, i'll apply them in a few days. 
Comment 7 Avik Sengupta 2003-03-02 06:27:47 UTC
Cameron, the diff for TestFormulaParser is wrong... that attachement is actually
the diff for FormulaParser again. 
Comment 8 Avik Sengupta 2003-03-24 21:29:56 UTC
In case anyone is wondering, the reason why this patch hasnt been comitted yet
is that we are waiting to write/recieve some testcases. Given the size of this
change, we are not comfortable to check this in without more testcases. So
please bear with us :)
Comment 9 Andy Oliver 2003-04-11 01:01:16 UTC
marking as invalid until its fixed.
Comment 10 Avik Sengupta 2003-05-04 09:26:34 UTC
In my viewfinder atm. 
Comment 11 Avik Sengupta 2003-05-05 06:23:24 UTC
Applied this patch (manually) and added simple tests.